Bug 145707 - [maintainer-update] sysutils/automounter - 1.4.1 release
Summary: [maintainer-update] sysutils/automounter - 1.4.1 release
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-14 22:50 UTC by kamikaze
Modified: 2010-04-22 01:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.03 KB, patch)
2010-04-14 22:50 UTC, kamikaze
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2010-04-14 22:50:00 UTC
Update to the latest release.
- Gracefully handle the disappearance of mounted file systems
- Add implemenatation notes to the manual page
- Add mlist command for machine readable information retrival

Fix: Patch attached with submission follows:
Comment 1 Sahil Tandon freebsd_committer 2010-04-15 03:57:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

I'll take it.
Comment 2 kamikaze 2010-04-17 08:03:47 UTC
Instead of replacing NOPORTDOCS with NOMAN, I decided to remove
the feature entirely after checking the Porters' Handbook.

I've got no idea why I added it in the first place. I think I
got the misconception about NOPORTDOCS from other ports. A quick
find/grep over the ports tree reveals a lot of abuse like
mine.

Regards


diff -Nur automounter.orig/Makefile automounter/Makefile
--- automounter.orig/Makefile	2010-04-10 09:45:31.000000000 +0200
+++ automounter/Makefile	2010-04-17 08:58:46.000000000 +0200
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	automounter
-PORTVERSION=	1.4
+PORTVERSION=	1.4.1
 CATEGORIES=	sysutils
 MASTER_SITES=	SF/bsdadminscripts/${PORTNAME}
 
@@ -17,17 +17,17 @@
 NO_BUILD=	yes
 MANCOMPRESSED=	yes
 
-.if defined(NOPORTDOCS)
-NOPORTDOCS=	-nodoc
-.else
 MAN5=		automounter.conf.5
 MAN8=		automounter.8
-.endif
 
 plist: patch
 		@cd ${WRKSRC}; ./plist.sh -nodoc > ${PLIST}
+		@${ECHO} "@dirrmtry etc/devd" >> ${PLIST}
 
 do-install:
-		@cd ${WRKSRC}; ./install.sh -prefix=${PREFIX} ${NOPORTDOCS}
+		@cd ${WRKSRC}; ./install.sh -prefix=${PREFIX}
+
+post-install:
+		@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>
diff -Nur automounter.orig/distinfo automounter/distinfo
--- automounter.orig/distinfo	2010-04-10 09:45:31.000000000 +0200
+++ automounter/distinfo	2010-04-14 23:27:58.000000000 +0200
@@ -1,3 +1,3 @@
-MD5 (automounter-1.4.tar.gz) = b429e403d45aec86c4285e27dd508b9c
-SHA256 (automounter-1.4.tar.gz) = 12bb576acbb1de11c9df0469d027b809c5cd586080a4ca87193ecef657cf1589
-SIZE (automounter-1.4.tar.gz) = 17093
+MD5 (automounter-1.4.1.tar.gz) = 544b55a7b9d6a1e2a69cce6f605eb2e7
+SHA256 (automounter-1.4.1.tar.gz) = 6cf4b8999d71f4833ffe9a34d141f1dc26280217a2f56612905005c57d7e1f15
+SIZE (automounter-1.4.1.tar.gz) = 20720
diff -Nur automounter.orig/pkg-descr automounter/pkg-descr
--- automounter.orig/pkg-descr	2010-04-10 09:45:31.000000000 +0200
+++ automounter/pkg-descr	2010-04-17 08:35:13.000000000 +0200
@@ -1,6 +1,5 @@
 A script to dynamically configure amd and populate /media with appropriate
-links, when USB mass storage devices appear. It relies on geom labels, hence
-it only works for properly labeled devices.
+links, when USB mass storage devices appear.
 
 It also allows to automatically attach geli encrypted devices and images with
 keys polled from file systems it makes mountable.
diff -Nur automounter.orig/pkg-message automounter/pkg-message
--- automounter.orig/pkg-message	1970-01-01 01:00:00.000000000 +0100
+++ automounter/pkg-message	2010-04-14 23:38:18.000000000 +0200
@@ -0,0 +1,5 @@
+-------------------------------------------------------------------------------
+It is no longer required to manually create devd.conf entries. Please remove
+your automounter related devd.conf entries and restart /etc/rc.d/devd after
+an update.
+-------------------------------------------------------------------------------
diff -Nur automounter.orig/pkg-plist automounter/pkg-plist
--- automounter.orig/pkg-plist	2010-04-10 09:45:31.000000000 +0200
+++ automounter/pkg-plist	2010-04-14 23:31:59.000000000 +0200
@@ -1,3 +1,5 @@
 sbin/automounter
 etc/rc.d/automounter
 etc/automounter.conf.sample
+etc/devd/automounter.conf
+@dirrmtry etc/devd
Comment 3 Sahil Tandon freebsd_committer 2010-04-22 01:33:54 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter service freebsd_committer 2010-04-22 01:42:17 UTC
sahil       2010-04-22 00:32:00 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/automounter Makefile distinfo pkg-descr pkg-plist 
  Added files:
    sysutils/automounter pkg-message 
  Log:
  - Update to 1.4.1
  - Remove incorrect usage of NOPORTDOCS
  - Use ${PORTNAME} variable where possible
  
  PR:             ports/145707
  Submitted by:   Dominic Fandrey <kamikaze@bsdforen.de> (maintainer)
  Approved by:    itetcu@ (mentor)
  
  Revision  Changes    Path
  1.10      +8 -8      ports/sysutils/automounter/Makefile
  1.9       +3 -3      ports/sysutils/automounter/distinfo
  1.2       +1 -2      ports/sysutils/automounter/pkg-descr
  1.1       +5 -0      ports/sysutils/automounter/pkg-message (new)
  1.2       +2 -0      ports/sysutils/automounter/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"